local metadata = {
"## Interface: 1.5.3.1 b1841",
"## Title: ChangeHudTextures",
"## Notes: FS2017 Script for Change FillType Huds for Giants Standard FillTypes, over modDesc.xml",
"## Author: Blacksheep-(RC-Devil)",
"## Version: 1.0.0.0",
"## Date: 22.02.2018",
"## Web-Support: https://www.mods-community.de"
}
--[[
@modDesc Example

	<extraSourceFiles>
        <sourceFile filename="changeHudTextures.lua"/>
    </extraSourceFiles>
	
	<changeHudTextures>
		<changeHudTexture fillTypeName="fertilizer" hudOverlayFilename="huds/hud_fill_fertilizer.dds" hudOverlayFilenameSmall="huds/hud_fill_fertilizer_sml.dds"/>
	</changeHudTextures>
]]

changeHud = {};
changeHud.modDirectory = g_currentModDirectory;
function changeHud:loadMap(name)
local count = 0;
local modDesc = loadXMLFile("modDesc", changeHud.modDirectory .. "modDesc.xml");

print('\\__ ChangeHudTextures V 1.0.0.0 by Blacksheep(RC-Devil) from 22 Feb 2018 is loading! Support over Web: https://www.mods-community.de');
while true do
    local mdescText = string.format("modDesc.changeHudTextures.changeHudTexture(%d)", count);
    
	if not hasXMLProperty(modDesc, mdescText) then
       break;
    end;
   
    local fillType = getXMLString(modDesc, mdescText .. "#fillTypeName");
    local hudOverlayFilename = getXMLString(modDesc, mdescText .. "#hudOverlayFilename");
	local hudOverlayFilenameSmall = getXMLString(modDesc, mdescText .. "#hudOverlayFilenameSmall");
   
	hudOverlayFilename = Utils.getFilename(hudOverlayFilename, changeHud.modDirectory);
	hudOverlayFilenameSmall = Utils.getFilename(hudOverlayFilenameSmall, changeHud.modDirectory);
	
	local allHudsExisting = fileExists(hudOverlayFilename) and fileExists(hudOverlayFilenameSmall);
	
	if allHudsExisting then
		local typeToChange = FillUtil['FILLTYPE_' .. string.upper(fillType)];
		FillUtil.fillTypeIndexToDesc[typeToChange].hudOverlayFilename = hudOverlayFilename;
		FillUtil.fillTypeIndexToDesc[typeToChange].hudOverlayFilenameSmall = hudOverlayFilenameSmall;

	else
		print("[\\___ ERROR from the changeHudTextures.lua]: Aborting change Hud Texture for '" .. fillType .. "' now, because:");
	end;
	
	if not fileExists(hudOverlayFilename) then				
		print("\\____ can't find: '" .. hudOverlayFilename .. "' for the FillType '" .. fillType .. "'!");
	end;
	
	if not fileExists(hudOverlayFilenameSmall) then				
		print("\\____ can't find: '" .. hudOverlayFilenameSmall .. "' for the FillType '" .. fillType .. "'!");
	end;
   
    count = count + 1;
end;

end;

function changeHud:deleteMap() end;
function changeHud:keyEvent(unicode, sym, modifier, isDown) end;
function changeHud:mouseEvent(posX, posY, isDown, isUp, button) end;
function changeHud:update(dt) end;
function changeHud:draw() end;

addModEventListener(changeHud);
